Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-79757

Consider upgrading the Google Compiler used in Liferay 7 to a newer version

    Details

    • Type: Feature Request
    • Status: Closed
    • Priority: Minor
    • Resolution: Implemented in Platform
    • Affects Version/s: 7.0.X
    • Fix Version/s: None
    • Labels:

      Description

      It appears the Google Closure Compiler version used in Liferay is v20131014: https://github.com/liferay/liferay-portal/tree/master/.gradle/caches/modules-2/files-2.1/com.google.javascript/closure-compiler/v20131014

      As per https://github.com/google/closure-compiler/wiki/Releases, the latest release as of today is v20180402

      It would be nice to consider upgrading the Compiler to a higher version in upcoming Liferay releases

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                support-lep@liferay.com SE Support
                Reporter:
                alfonso.crisci Alfonso Crisci
              • Votes:
                1 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Packages

                  Version Package